Python3.x的完整安装及配置(Linux版)


目前大部分Linux系统源自带的python都是2.x版本,为了满足更高层次的需求,我们需要将系统原先自带的python版本替换成更新的版本。
这里就以CentOS 7系统为例,替换python3.6版本
闲暇之余整理的笔记,如有错误不足之处,诚挚地欢迎大家指出。


一、Python3.6安装包

在Linux终端内使用wget命令,从www.python.org官网上下载tgz安装包

wget https://www.python.org/ftp/python/3.6.0/Python-3.6.0.tgz

二、解压安装包

tar -xvf Python-3.6.0.tgz

三、配置依赖环境

在正式配置python环境前,我们需要先下载好依赖包:gcc和zlib

yum install gcc
yum install -y zlib zlib-devel
yum install openssl-devel bzip2-devel expat-devel gdbm-devel readline-devel sqlite-devel gcc gcc-c++ openssl-devel

提示安装成功后,我们切换到解压好的Python-3.6.0文件下的Modules目录,配置文件

vi Setup.dist

将这段内容修改成以下形式(原文件前中内容前的#删掉即可):
在这里插入图片描述
接下来我们需要配置python3的安装位置
这里默认安装至/usr/local/python3文件夹下,用户也可以根据自己的需求安排在其他目录下
输入命令:

./configure --prefix=/usr/local/python3

完成后看到如下提示则说明配置成功
在这里插入图片描述
这句话的意思是“如果您希望发布所有优化版本(LTO,PGO等)的发行版,请运行./configure --enable-optimizations”
我们不用理它

make && make install

看见如下提示则说明安装成功:
在这里插入图片描述

四、替换旧版本

比起替换旧版本,这里更建议大家保留旧版本再新增对新版本的连接
因为我所使用的环境下有部分组件依赖python2,而python2和3之间存在较大语法差异的关系,如果直接将其替换会对后续使用造成一定的麻烦,因此我在这里选择了新建一个python3命令

ln -n /usr/local/python3/bin/python3 /usr/bin/python3

如果您选择替换旧版本,请看以下这部分
首先我们需要将指向旧版本的软连接改掉

mv /usr/bin/python /usr/bin/python_bak

创建软连接

ln -s /usr/local/python3/bin/python3.6 /usr/bin/python

检查
连接完成后,我们来执行:python -V
出现版本号,表明已经替换成功
在这里插入图片描述
但是我们现在在终端下输入pip,会发现显示"bash :pip:not found"的提示
在这里插入图片描述
因为这个时候我们虽然已经安装并配置好了python但是因为还没对pip进行配置,因此还无法直接使用pip命令

五、pip配置

为pip添加软连接

ln -n /usr/local/python3/bin/pip3 /usr/bin/pip

此时再输入命令:pip -V
在这里插入图片描述
可以发现pip命令已经能够正常使用了,但是此时我们会发现python3.6默认自带的pip还只是9.0版本,比较低,我们需要为它做一个升级,在升级前,我们先将pip的镜像切换到国内源。
注意:如果你使用的是新建了一个python3命令,在接下来,接下来使用pip安装包时请使用“python3 -m pip install”的格式

六、pip更换国内源

1.切换到家目录(根目录)下
2.创建.pip文件夹

mkdir .pip

注意:pip前面的点不能省略,带点的文件名通常表示隐藏文件夹
3.切换到.pip文件夹下,并新建一个pip.conf文件

vi pip.conf

在文件中输入以下内容,将pip更换为豆瓣源:

[global]
timeout=6000
index-url=http://pypi.douban.com/simple
trusted-host=pypi.douban.com

完成后保存并退出即可
除了豆瓣源之外,这里还推荐给大家几个国内常用的站源:

https://pypi.tuna.tsinghua.edu.cn/simple/ # 清华大学
https://mirrors.aliyun.com/pypi/simple/ # 阿里云
https://pypi.douban.com/simple/ # 豆瓣
https://pypi.mirrors.ustc.edu.cn/simple/ # 中国科学技术大学
https://pypi.hustunique.com/ # 华中科技大学

这个时候再输入,来对pip进行升级:

python -m pip install --upgrade pip

出现如下提示
在这里插入图片描述
至此python已经全部顺利配置好啦!

七、关于yum

另外还有一点,有的用户选择替换旧版本python命令后再使用yum命令会发生报错
这是因为yum采用的是python2的语法格式,而python的2和3版本之间有较大的颠覆,因此python3不再支持python2的语法格式
在这里我们需要对yum文件略做调整

vi /usr/bin/yum

在文件开头找到这句话

#!/usr/bin/python

将后面的python改为指向你的python2.x版本的bin命令,这样就解决了

展开阅读全文
©️2020 CSDN 皮肤主题: 深蓝海洋 设计师: CSDN官方博客 返回首页
实付0元
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值